Go Down

Topic: !! Compile Error CreateProcess error=2 SPI, Please Help !! (Read 186 times) previous topic - next topic

Bailey5531

Im trying to reflash my Printrboard with repetier firmware because i fried the X stepper motor driver and i want to run the X Motor on extruder 3 on the extruderboard.

This error keep coming up when i try the compile and upload. It seems to be an error with SPI, please help.

_                                                                                                                                                                                                                            _

Arduino: 1.6.3 (Windows 8.1), TD: 1.22, Board: "[BootloaderCDC]Teensylu/Printrboard"

Build options changed, rebuilding all

Using library SPI in folder: D:\Program Files (x86)\Arduino\hardware\teensy\avr\libraries\SPI (1.0.x format)


D:\Program Files (x86)\Arduino/{build.toolchain}{build.command.g++} -c {build.flags.optimize} {build.flags.common} {build.flags.cpp} {build.flags.cpu} {build.flags.defs} -DARDUINO=10603 -DF_CPU={build.fcpu} -DARDUINO_ARCH_AVR -D{build.usbtype} -DLAYOUT_{build.keylayout} -ID:\Program Files (x86)\Arduino\hardware\teensy\avr\cores\at90usb1286 -ID:\Program Files (x86)\Arduino\hardware\teensy\avr\libraries\SPI C:\Users\BAILEY~1\AppData\Local\Temp\build8228524123970087400.tmp\Commands.cpp -o C:\Users\BAILEY~1\AppData\Local\Temp\build8228524123970087400.tmp\Commands.cpp.o

Cannot run program "D:\Program Files (x86)\Arduino/{build.toolchain}{build.command.g++}": CreateProcess error=2, The system cannot find the file specified

johnwasser

It looks like the Teensy core files have not been updated to be compatible with V1.6.x.  I would check the Teensy site to see if they have an update.
Send Bitcoin tips to: 1L3CTDoTgrXNA5WyF77uWqt4gUdye9mezN
Send Litecoin tips to : LVtpaq6JgJAZwvnVq3ftVeHafWkcpmuR1e

Go Up